Skip to main content
GET
Query Categories By Item Id

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

items.read
oauth2-authorization-code

Grants permission to read item data.

items.read
oauth2-client-credentials

Grants permission to read item data.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

itemId
string<uuid>
required

The ID of the item whose categories are to be retrieved.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>